Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 472104 - emerge: Show more info for slot rebuilds
Summary: emerge: Show more info for slot rebuilds
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Interface (emerge) (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 155723 484436
  Show dependency tree
 
Reported: 2013-06-02 13:25 UTC by Klaus Kusche
Modified: 2014-08-04 02:05 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Kusche 2013-06-02 13:25:57 UTC
In the output of emerge showing the list of ebuilds being emerged:

1.) Please mark the packages which are causing rebuilds differently
from those which are being rebuilt due to other packages.
Currently, both are marked with a small red "r",
and you can't tell the difference between a package causing rebuilts
and one being rebuilt due to other packages.

2.) Please, at least for --verbose, for each package being rebuilt due to 
other packages, list the packages forcing its rebuilt.

Reasons for that:

1.) I have to schedule rebuilds carefully, especially large ones like
libreoffice, webkit, icedtea, ...
So, if such a package shows up as needing a rebuild,
I need to know which update is forcing the rebuild,
and perhaps mask that update or delay it for some time,
or at least group it into a separate emerge.

Currently, I have no chance to find out what package is forcing the rebuild.

2.) If a rebuild fails, the updated lib which caused it is most likely
the culprit. So it would be nice to know that lib!
Comment 1 Zac Medico gentoo-dev 2013-06-02 23:23:24 UTC
(In reply to Klaus Kusche from comment #0)
> 1.) Please mark the packages which are causing rebuilds differently
> from those which are being rebuilt due to other packages.
> Currently, both are marked with a small red "r",
> and you can't tell the difference between a package causing rebuilts
> and one being rebuilt due to other packages.
> 
> 2.) Please, at least for --verbose, for each package being rebuilt due to 
> other packages, list the packages forcing its rebuilt.

It should be fairly obvious from the display of the sub-slot changes. For example:

[ebuild  r  U  ] dev-libs/icu-51.1:0/51.1 [50.1.2:0/50.1]
[ebuild  r  U  ] x11-base/xorg-server-1.14.1:0/1.14.1 [1.14.0:0/1.14.0]

You can see that icu changes from 50.1 to 51.1, and xorg-server changes from 1.14.0 to 1.14.1.
Comment 2 Klaus Kusche 2013-06-03 05:47:15 UTC
(In reply to Zac Medico from comment #1)
> It should be fairly obvious from the display of the sub-slot changes. For
> example:
> 
> [ebuild  r  U  ] dev-libs/icu-51.1:0/51.1 [50.1.2:0/50.1]
> [ebuild  r  U  ] x11-base/xorg-server-1.14.1:0/1.14.1 [1.14.0:0/1.14.0]
> 
> You can see that icu changes from 50.1 to 51.1, and xorg-server changes from
> 1.14.0 to 1.14.1.

Either you misunderstood my problem, or I don't understand your comment.
I don't want to know which subslot changed and why, the numbers are irrelevant.

For each package being rebuilt due to subslot changes, 
I want to know which package *caused* the rebuild,
e.g. "boost ist rebuilt due to an icu slot change,
TeX is rebuilt due to a poppler slot change,
and libreoffice gets a rebuild due to both icu and poppler."

And I want to be able to distinguish easily between
packages being rebuilt and packages causing rebuilts (e.g. poppler and icu).
Comment 4 Arfrever Frehtes Taifersar Arahesis 2013-11-28 03:03:05 UTC
(In reply to Sebastian Luther (few) from comment #3)
> This is fixed in git:
> 
> http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;
> h=98f227be79361d83766b074403efd53f570fa3f3

Maybe depgraph._show_abi_rebuild_info() should print to stdout instead of stderr (using writemsg_stdout)?
Comment 5 Sebastian Luther (few) 2013-11-28 06:17:27 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #4)
> (In reply to Sebastian Luther (few) from comment #3)
> > This is fixed in git:
> > 
> > http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;
> > h=98f227be79361d83766b074403efd53f570fa3f3
> 
> Maybe depgraph._show_abi_rebuild_info() should print to stdout instead of
> stderr (using writemsg_stdout)?

You're right. Do you fix it?
Comment 6 Arfrever Frehtes Taifersar Arahesis 2013-11-28 09:22:30 UTC
(In reply to Sebastian Luther (few) from comment #5)

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commitdiff;h=25d15b99c1f3f0c84243cc3d80587009aeaa3673
Comment 7 Brian Dolbec gentoo-dev 2014-01-06 00:37:15 UTC
Released in sys-apps/portage-2.2.8.
Comment 8 Lars Wendler (Polynomial-C) gentoo-dev 2014-01-06 08:26:36 UTC
Reopening this bug to request making the new output optional.

Please don't get me wrong, I find this change very useful but for my recurring work with portage it's annoying to have these additional lines of output without a chance to disable them.

So I'd like to request some --verbose-slot-rebuilds=(y|n) option to en-/disable the additional information.
Comment 9 Brian Dolbec gentoo-dev 2014-01-06 21:42:20 UTC
I have a patch started, but needs final configuration, and fine tuning...

Now if I can keep from getting distracted...

Stay tuned, :)
Comment 10 Lars Wendler (Polynomial-C) gentoo-dev 2014-02-24 14:18:32 UTC
(In reply to Brian Dolbec from comment #9)
> I have a patch started, but needs final configuration, and fine tuning...
> 
> Now if I can keep from getting distracted...
> 
> Stay tuned, :)

I am using your patch since you submitted it here. No bad side-effects so far. Please include it.
Comment 11 Brian Dolbec gentoo-dev 2014-08-04 02:05:20 UTC
released in portage-2.2.11